# TODO
# - finish ../SOURCES/php-pear-PEAR-rpmvars.patch merge
# - merge conflict + upper to ">": (Mail_mimeDecode)
#   Requires:   php-pear-Mail_Mime >= 1.4.0
#   Conflicts:  php-pear-Mail_Mime = 1.4.0
#   ->
#   Requires:   php-pear-Mail_Mime > 1.4.0
# - add minimum php version used (so that the epoch does not go to nonsense for
#   older php's, yet think that could blow up php4 only pkgs)
# - if external channel not installed, channel alias can not be resolved
#   and deps get generated with full name: php-pear.docblox-project.org-DocBlox
%define		status		alpha
%define		pearname	PEAR_Command_Packaging
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - make-rpm-spec command for managing RPM .spec files for PEAR packages
Summary(pl.UTF-8):	%{pearname} - polecenie make-rpm-spec do zarządzania plikami .spec pakietów PEAR-a
Name:		php-pear-%{pearname}
Version:	0.2.0
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	457881b46b8c42ba58cdb698872df2e6
Source1:	php-pear-PEAR-template.spec
Patch0:		%{name}.patch
URL:		http://pear.php.net/package/PEAR_Command_Packaging/
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.4.3
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-PEAR >= 1:1.4.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This command is an improved implementation of the standard makerpm
command, and contains several enhancements that make it far more
flexible. Similar functions for other external packaging mechanisms
may be added at a later date.

Enhanced features over the original PEAR "makerpm" command include:
- Ability to define a release on the command line
- Allows more advanced customisation of the generated package name
- Allows virtual Provides/Requires that differ in format from the
  package name format
- tries to intelligently distinguish between PEAR and PECL when
  generating packages

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
To polecenie to ulepszona implementacja standardowego polecenia
makerpm. Zawiera kilka rozszerzeń czyniących ją dużo bardziej
elastycznym. W przyszłości mogą być dodane podobne funkcje dla innych
zewnętrznych mechanizmów pakietów.

Rozszerzone możliwości w stosunku do oryginalnego polecenia PEAR-a
"makerpm" obejmują:
- możliwość definiowania pola Release z linii poleceń
- bardziej zaawansowane dostosowywanie nazwy generowanego pakietu
- dodawanie wirtualnych Provides/Requires o innym formacie niż format
  nazwy pakietu
- próbę inteligentnego rozróżnienia między projektami PEAR a PECL przy
  generowaniu pakietów

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
%patch0 -p1

rm docs/PEAR_Command_Packaging/LICENSE

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{php_pear_dir}/data/%{pearname}/template.spec

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/Command/Packaging.xml
%{php_pear_dir}/PEAR/Command/Packaging.php
%{php_pear_dir}/data/PEAR_Command_Packaging
%changelog
* Wed Oct 17 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-PEAR_Command_Packaging.git;a=log;h=master

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 4e9fb6b
- rebuild template without changelog section

* Thu Aug 11 2011 Elan Ruusamäe <glen@pld-linux.org> 42a085a
- todo about not installed channels

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 6f22cdd
- basic support for role package buildtime dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> c87c668
- cleaning

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 8d8d293
- other channel package naming is done

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> e96050a
- handle registry subdirs

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 6562355
- todo about not installed channels

* Fri Apr 08 2011 Elan Ruusamäe <glen@pld-linux.org> 49371c4
- other channel package naming is done

* Sat Feb 12 2011 Elan Ruusamäe <glen@pld-linux.org> 6887f8c
- release 6

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 1d306c5
- include channel alias for all packages (matches schema for current pecl and pear packages)

* Sat Oct 02 2010 Elan Ruusamäe <glen@pld-linux.org> e5f16d1
- handle registry subdirs

* Sat Oct 02 2010 Elan Ruusamäe <glen@pld-linux.org> 9ecf9df
- our pear scripts always rename to package.xml

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 67e738c
- note test package for todo

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> a7b394c
- sanitize gtk2 ext name, see: http://bugs.php.net/bug.php?id=52663

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> f673be7
- pld note

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 2034616
- different naming policy for pear packages and external repos; rel 5

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 38c58e9
- todo

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 1dc7731
- release 6

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b553661
- todos

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> c499b04
- include channel alias for all packages (matches schema for current pecl and pear packages)

